Figure - 0 O Dev #111821
0 O Dev#110122 (New): D MKO 00 0O
0 O Dev#110126 (New): 0 MKO DAFO 000 O
0 MKO O FwWO O InputMethod™ O TC-RID: 1201-0200801
2022-09-08 12:40 - CD FW-0 [

Status: 0 O Closed Start date: 2022-09-08
Priority: Normal Due date:

Assignee: CD-FwW-O O % Done: 100%
Category: CD-FW Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V2.0_20220930

Description

mJ0don0:

gooooooo

m JOURLODODO
m [ 0Ocased 00O
e 00000000 OOOOOOO

History

#1 - 2022-09-15 18:52 - CD- FW-0 O
- Category set to CD-FW
- Status changed from New to [0 0 Resolved

- % Done changed from 0 to 100

gooooo
gooo0o0oo0o0db0ob0obOobOooDOooOooOooOoobOobOOobUobOoDo
gooooo
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/147977

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/148066
goooogoeonooooooooooaod

#2 - 2022-09-26 18:40 - CD FW-0 O
- Target version set to VX1_MCE_FSE_V2.0_20220930

#3 - 2022-10-10 20:17 - CD FW-O O
- Status changed from O O Resolved to O O Closed

#4 - 2022-12-15 15:45 - 10T scm

Gerrit Merge Information]

1D Project Branch Uploader
170511 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
rierApps -dev

AF:InputMethod: update baidu IME versionupdate baidu IME versionTC-RID: 1201-0200801IssuelD: TS-R-DF-111821Change-Id:
1d24c7d95d8a94163a6b7f61f4afh785278644f9f
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/147977
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/148066

#5 - 2022-12-22 20:30 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

147977

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

shihao0506@thundersoft.com

AF:InputMethod:modify the default IME to SogouChange-1d: 12ce62074ed29ec1b9120f816fc63a6e623347d6eTC-RID: 1201-0200801IssuelD: TS-R-DF-111821

#6 - 2022-12-22 20:30 - CD FW-0 O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

148066

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangwei0629@thundersoft.com

AF:InputMethod:grant permission of Sogou IME if needTC-RID: 1201-02008011ssuelD: TS-R-DF-111821Change-Id:
1b3fe8dbb4218ecle22b6e61a862e23ch1f0b3a42

#7 - 2022-12-22 20:50 - CD FW-0O O

Gerrit Merge Information]

1D

Project

Branch

Uploader

160303

general/platform/vendor/hht/apps/Car
rierApps

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

shihao0506@thundersoft.com

FW:InputMethod:add baidu IME for def IMETC-RID: 1201-0200801Issuel D: TS-R-DF-111821Change-Id: 15cb6b8bf9567ab9011c5328957a8837705b82eb5

#8 - 2022-12-22 20:50 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

160306

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

shihao0506@thundersoft.com

FW:InputMethod:Configure the default IME as Baidu IMETC-RID: 1201-0200801lssuelD: TS-R-DF-111821Change-Id:
12abfd4be2ef84db1a47c9d993bd9f8359109e585

#9 - 2022-12-22 20:50 - CD FW-0 O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

160309

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

shihao0506@thundersoft.com

2025-07-04
FW:InputMethod:add baidu IMETC-RID: 1201-0200801IssuelD: TS-R-DF-111821Change-1d: 1cf2142545613585b88321920f91700e124fe72bf

#10 - 2023-01-12 14:35 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

176075

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12
-ftm-dvtl

ca0qg0702@thundersoft.com

AF:InputMethod: delete baidu IME in FTM branchTC-RID: 1201-0200801IssuelD: TS-R-DF-111821Change-Id: 1c0e833287d6085aed21888d34be0bf6d9eb29172

#11 - 2023-03-10 14:18 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

186786

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12
-ftm_v0081

wangxl0510@thundersoft.com

AF:InputMethod: delete baidu IME in FTM branchTC-RID: 1201-0200801lssuelD: TS-R-DF-111821Change-Id:
1c0e833287d6085aed21888d34be0bf6d9eb29172(cherry picked from commit e8daf53d28322b2b79db353dbfc3a38e631f9c40)

#12 - 2023-04-16 11:27 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

193970

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12
-ftm_v0090

wangxl0510@thundersoft.com

AF:InputMethod: delete baidu IME in FTM branchTC-RID: 1201-0200801IssuelD: TS-R-DF-111821Change-Id:
1c0e833287d6085aed21888d34be0bf6d9eb29172(cherry picked from commit e8daf53d28322b2b79db353dbfc3a38e631f9c40) (cherry picked from commit
d88efd27ee7a9008b430e5a6ce03bbaeb6bbfa56)

#13 - 2023-05-03 16:34 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

197287

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12
-ftm_v0095

wangxl0510@thundersoft.com

2025-07-04

3/11




AF:InputMethod: delete baidu IME in FTM branchTC-RID: 1201-0200801IssuelD: TS-R-DF-111821Change-Id:
1c0e833287d6085aed21888d34be0bf6d9eb29172(cherry picked from commit e8daf53d28322b2h79db353dbfc3a38e631f9c40)(cherry picked from commit
d88efd27ee7a9008b430e5a6ce03bbaeb6bbfa56)(cherry picked from commit 183b7b7c02bbdelab28cead6cf29255b7f935f37)

#14 - 2023-05-15 21:46 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
200271 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
rierApps -dev

AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.9TC-RID: 1201-0204401Issuel D: TS-R-DF-111821Change-1d:
1b5517396990944d8ace8702042dcbadac98deb0f

#15 - 2023-05-22 15:28 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
201708 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssil2 | caoqg0702@thundersoft.com
rierApps -dev

AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.11TC-RID: 1201-0204401Issuel D: TS-R-DF-111821Change-Id:
15b0895¢c07242e920b97879940447e830facdcfcca

#16 - 2023-06-05 16:26 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader
204729 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
rierApps -dev

AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.13TC-RID: 1201-0204401IssuelD: TS-R-DF-111821Change-Id:
1c986f56ecc8801e0c58969b5011d18f950f4994c

#17 - 2023-06-12 17:22 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader
206457 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
rierApps -dev

2025-07-04 4/11




AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.15TC-RID: 1201-0204401Issuel D: TS-R-DF-111821Change-Id:

1333a12bed17e881a5017728bf620ddc1902c5573

#18 - 2023-06-19 19:12 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
208466 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssil2 | caoqg0702@thundersoft.com
rierApps -dev

10afeec214b565904b51022a21fcc647ae38e0515

iAF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.16 TC-RID: 1201-0204401IssuelD: TS-R-DF-111821Change-Id:

#19 - 2023-06-20 16:37 - IoT scm

Gerrit Merge Information(

1D Project

Branch

Uploader

208696 general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wujun.wang@thundersoft.com

1f2c4f405a0dbe296ad73ba3adc6bebd615b5d8fc

AF:InputMethod: remove aosp imeHide aosp ime by remove add.TC-RID: 1201-0200801IssuelD: TS-R-DF-111821Change-Id:

#20 - 2023-06-20 16:37 - 10T scm
Gerrit Merge Information(]

1D Project

Branch

Uploader

208313 general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wujun.wang@thundersoft.com

14a0acff390b90a68c049abe351fd0e633e4bd9b3

AF:InputMethod: hide ime switcher buttomHide ime switcher buttom.TC-RID: 1201-0200801IssuelD: TS-R-DF-111821Change-Id:

#21 - 2023-06-20 22:13 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
208864 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
rierApps -release_sorp

2025-07-04
AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.16 TC-RID: 1201-0204401Issuel D: TS-R-DF-111821Change-Id:
10afeec214b565904b51022a21fcc647ae38e0515(cherry picked from commit 542481f37b4c8bb66e371f58d8db6c63a6b7123d)

#22 - 2023-06-25 17:02 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
209477 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssil2 | caoqg0702@thundersoft.com
rierApps -dev

AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.19TC-RID: 1201-0204401Issuel D: TS-R-DF-111821Change-Id:
11791451262b1382ee07912f1e655adb3205bc024

#23 - 2023-06-25 17:02 - IoT scm

Gerrit Merge Information(

1D Project Branch Uploader
209554 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
-dev

AF:InputMethod: add ime switcher buttonl.add ime switcher button.2.Change the package name of the default input method. TC-RID: 1201-0200801IssuelD:
TS-R-DF-111821Change-1d: 176b4238bf6261c44c5734472de169ded9ab74343

#24 - 2023-06-25 17:02 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
209571 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
-dev

AF:InputMethod: Upgrade the database version and update the value of the default input methodTC-RID: 1201-02008011ssuelD: TS-R-DF-111821Change-Id:
1d5¢cf4d45f70313a077b8146dc4614dbc08ch6e3f

#25 - 2023-06-25 21:50 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
209683 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
rierApps -release_sorp
AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.19TC-RID: 1201-0204401Issuel D: TS-R-DF-111821Change-Id:
11791451262h1382ee07912f1e655adb3205bc024(cherry picked from commit b78aa42b2789c3d53bf8b65779%ecfead2a801dd1)

#26 - 2023-06-25 21:50 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader

209684 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

AF:InputMethod: add ime switcher buttonl.add ime switcher button.2.Change the package name of the default input method. TC-RID: 1201-0200801IssuelD:
TS-R-DF-111821Change-1d: 176b4238bf6261c44c5734472de169ded9ab74343(cherry picked from commit dc64ebe2afb33bee9d1c98ed3c4c721f6a88a9c8)

#27 - 2023-06-25 21:51 - IoT scm

Gerrit Merge Informationd

1D Project Branch Uploader

209685 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

AF:InputMethod: Upgrade the database version and update the value of the default input methodTC-RID: 1201-0200801IssuelD: TS-R-DF-111821Change-Id:
1d5cf4d45f70313a077b8146dc4614dbc08ch6c3f(cherry picked from commit 609f11869f041e91518d6034909e9245851a8629)

#28 - 2023-06-26 19:11 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
209882 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wujun.wang@thundersoft.com
-dev

AF:InputMethod: fix aosp ime showingRemove the aosp from the enable list str. TC-RID: 1201-0200801IssuelD: TS-R-DF-111821Change-Id:
1fd6c605d8bf45dee72643afc9479a2574feb0f2a

#29 - 2023-06-26 20:40 - 10T scm
Gerrit Merge Information(

1D Project Branch Uploader

209949 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
-release_sorp
AF:InputMethod: fix aosp ime showingRemove the aosp from the enable list str. TC-RID: 1201-0200801IssuelD: TS-R-DF-111821Change-Id:
1fd6¢c605d8bf45dee72643afc9479a2574feb0f2a(cherry picked from commit 4c719fabc3d9e27591f5d42eb6eaf77588367b49)

#30 - 2023-06-28 15:30 - IoT scm

Gerrit Merge Information(]

1D Project Branch Uploader
210496 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wujun.wang@thundersoft.com
-dev

AF:InputMethod: fix aosp ime showing(2)Update the db upgrade logic. TC-RID: 1201-0200801IssuelD: TS-R-DF-111821Change-1d:
1913704ed70d5af42ac725c3885723f8ee3664c83

#31 - 2023-06-30 16:43 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader

210853 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

AF:InputMethod: fix aosp ime showing(2)Update the db upgrade logic. TC-RID: 1201-0200801IssuelD: TS-R-DF-111821Change-1d:
1913704ed70d5af42ac725¢c3885723f8ee3664c83(cherry picked from commit 20aa7b607b0a87921abd8fc9a8c6e1298aa0055d)

#32 - 2023-07-18 13:44 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
215655 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
rierApps -dev

AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.20TC-RID: 1201-0204401IssuelD: TS-R-DF-111821Change-Id:
127a21e8ba70275dd362cd31f6605334917368c92

#33 - 2023-07-20 00:02 - 10T scm
Gerrit Merge Information(

1D Project Branch Uploader
216251 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
rierApps -release_sorp
AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.20TC-RID: 1201-0204401Issuel D: TS-R-DF-111821Change-Id:
127a21e8ba70275dd362cd31f6605334917368c92(cherry picked from commit 1ff623f46493c080bacd2a0cde61f646¢2chf701)

#34 - 2023-07-31 19:05 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
218991 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
rierApps -dev

AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.22TC-RID: 1201-0204401Issuel D: TS-R-DF-111821Change-Id:
193cf1fee01f2d2e3d59c2b9c1h96bc2eb3027647

#35 - 2023-08-01 22:22 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
219409 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
rierApps -release_sorp

AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.22TC-RID: 1201-02044011ssuel D: TS-R-DF-111821Change-Id:
193cf1fee01f2d2e3d59c2b9c1b96bc2eb3027647(cherry picked from commit d7f5e23¢712f79c8a3bd3a6c0c07e526838¢2888)

#36 - 2023-08-22 09:47 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
305043 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssi12 | caoqg0702@thundersoft.com
rierApps -dev

AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.23TC-RID: 1201-0204401IssuelD: TS-R-DF-111821Change-Id:
1e8e663h24a2347881f475e9a98450556234d579b

#37 - 2023-08-22 18:43 - 10T scm
Gerrit Merge Information(

1D Project Branch Uploader
219409 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
rierApps -release_sorp

2025-07-04 9/11




AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.22TC-RID: 1201-0204401Issuel D: TS-R-DF-111821Change-Id:
193cf1fee01f2d2e3d59c2b9c1b96bc2eb3027647(cherry picked from commit d7f5e23c712f79¢c8a3bd3a6c0c07e526838¢2888)

#38 - 2023-08-22 18:43 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
305338 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
rierApps -release_sorp

AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.23TC-RID: 1201-0204401IssuelD; TS-R-DF-111821Change-Id:
1e8e663b24a2347881f475¢9298450556234d579b(cherry picked from commit e443237a18d2498968864b39af9h9355¢82365fd)

#39 - 2023-09-26 19:17 - IoT scm

Gerrit Merge Informationd

1D Project Branch Uploader
316321 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssil2 | caoqg0702@thundersoft.com
rierApps -dev

AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.24TC-RID: 1201-02044011ssuel D: TS-R-DF-111821Change-Id:
1750ba2592b62df387824c4a5e945f5269f240298

#40 - 2023-10-07 17:11 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
317346 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
rierApps -release_sorp

AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.24TC-RID: 1201-0204401IssuelD: TS-R-DF-111821Change-Id:
1750ba2592b62df387824c4a5e945f5269f240298(cherry picked from commit f8e9be911c9f58b4686679f2c4875e0f61bfbc2b)

#41 - 2023-11-17 16:02 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
329085 general/platform/vendor/hht/apps/Car | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
rierApps -dev

2025-07-04 10/11




AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.25TC-RID: 1201-0204401Issuel D: TS-R-DF-111821Change-Id:
19c497fb5aec610cd2e8c4adbeb98chaf26dele53

#42 - 2023-11-20 13:57 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

329432

general/platform/vendor/hht/apps/Car
rierApps

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:Preinstall: update baidu IME versionupdate baidu IME version = 10.6.1003.25TC-RID: 1201-0204401IssuelD; TS-R-DF-111821Change-Id:
19c497fb5aec610cd2e8c4adbeb98chaf26dele53(cherry picked from commit 2f4a45dafcffc3f9af20e50b3721ee2cf0889%eed)

2025-07-04

11/11




